<?php

namespace App\Modules\ExternalUser\Domain;

class EasyExternalUser
{

    /** constructor */
    public function __construct(
        private ExternalUserName $name,
        private ExternalUserLastName $lastName,
        private ExternalUserNickName $nickName,
        private ?IdExternalUser $id = null
    ) {
    }

    public function getName():ExternalUserName
    {
        return $this->name;
    }
    public function getLastName():ExternalUserLastName
    {
        return $this->lastName;
    }
    public function getNickName():ExternalUserNickName
    {
        return $this->nickName;
    }
    public function getId():IdExternalUser
    {
        return $this->id;
    }
}
